using System.Configuration;
using System.Windows.Forms;

namespace TsSFCDeivceClient
{
    public class RunConfig
    {
        private static RunConfig Manger;
        public static RunConfig config
        {
            get
            {
                if (Manger == null)
                    Manger = new RunConfig();
                return Manger;
            }
        }

        public RunConfig()
        {
       
        }

        Configuration m_Config = ConfigurationManager.OpenExeConfiguration(System.IO.Path.Combine(Application.StartupPath, "TsSFCDeivceClient.dll"));

        private string _ServiceApiUrl;
        public string ServiceApiUrl
        {
            get
            {
                if (string.IsNullOrWhiteSpace(_ServiceApiUrl))
                    _ServiceApiUrl = m_Config.AppSettings.Settings["ServiceApiUrl"].Value.Trim();
                return _ServiceApiUrl;
            }
        }
    }
}
